"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _FormItem = _interopRequireDefault(require("@theme/ApiDemoPanel/FormItem"));
var _FormSelect = _interopRequireDefault(require("@theme/ApiDemoPanel/FormSelect"));
var _FormTextInput = _interopRequireDefault(require("@theme/ApiDemoPanel/FormTextInput"));
var _hooks = require("@theme/ApiItem/hooks");
var _slice = require("./slice");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

function Authorization() {
  const data = (0, _hooks.useTypedSelector)(state => state.auth.data);
  const options = (0, _hooks.useTypedSelector)(state => state.auth.options);
  const selected = (0, _hooks.useTypedSelector)(state => state.auth.selected);
  const dispatch = (0, _hooks.useTypedDispatch)();
  if (selected === undefined) {
    return null;
  }
  const selectedAuth = options[selected];
  const optionKeys = Object.keys(options);
  return <div>
      {optionKeys.length > 1 && <_FormItem.default label="Security Scheme">
          <_FormSelect.default options={optionKeys} value={selected} onChange={e => {
        dispatch((0, _slice.setSelectedAuth)(e.target.value));
      }} />
        </_FormItem.default>}
      {selectedAuth.map(a => {
      if (a.type === "http" && a.scheme === "bearer") {
        var _data$a$key$token;
        return <_FormItem.default label="Bearer Token" key={a.key + "-bearer"}>
              <_FormTextInput.default placeholder="Bearer Token" value={(_data$a$key$token = data[a.key].token) !== null && _data$a$key$token !== void 0 ? _data$a$key$token : ""} onChange={e => {
            const value = e.target.value;
            dispatch((0, _slice.setAuthData)({
              scheme: a.key,
              key: "token",
              value: value ? value : undefined
            }));
          }} />
            </_FormItem.default>;
      }
      if (a.type === "oauth2") {
        var _data$a$key$token2;
        return <_FormItem.default label="Bearer Token" key={a.key + "-oauth2"}>
              <_FormTextInput.default placeholder="Bearer Token" value={(_data$a$key$token2 = data[a.key].token) !== null && _data$a$key$token2 !== void 0 ? _data$a$key$token2 : ""} onChange={e => {
            const value = e.target.value;
            dispatch((0, _slice.setAuthData)({
              scheme: a.key,
              key: "token",
              value: value ? value : undefined
            }));
          }} />
            </_FormItem.default>;
      }
      if (a.type === "http" && a.scheme === "basic") {
        var _data$a$key$username, _data$a$key$password;
        return <_react.default.Fragment key={a.key + "-basic"}>
              <_FormItem.default label="Username">
                <_FormTextInput.default placeholder="Username" value={(_data$a$key$username = data[a.key].username) !== null && _data$a$key$username !== void 0 ? _data$a$key$username : ""} onChange={e => {
              const value = e.target.value;
              dispatch((0, _slice.setAuthData)({
                scheme: a.key,
                key: "username",
                value: value ? value : undefined
              }));
            }} />
              </_FormItem.default>
              <_FormItem.default label="Password">
                <_FormTextInput.default placeholder="Password" password value={(_data$a$key$password = data[a.key].password) !== null && _data$a$key$password !== void 0 ? _data$a$key$password : ""} onChange={e => {
              const value = e.target.value;
              dispatch((0, _slice.setAuthData)({
                scheme: a.key,
                key: "password",
                value: value ? value : undefined
              }));
            }} />
              </_FormItem.default>
            </_react.default.Fragment>;
      }
      if (a.type === "apiKey") {
        var _data$a$key$apiKey;
        return <_FormItem.default label={`${a.key}`} key={a.key + "-apikey"}>
              <_FormTextInput.default placeholder={`${a.key}`} value={(_data$a$key$apiKey = data[a.key].apiKey) !== null && _data$a$key$apiKey !== void 0 ? _data$a$key$apiKey : ""} onChange={e => {
            const value = e.target.value;
            dispatch((0, _slice.setAuthData)({
              scheme: a.key,
              key: "apiKey",
              value: value ? value : undefined
            }));
          }} />
            </_FormItem.default>;
      }
      return null;
    })}
    </div>;
}
var _default = Authorization;
exports.default = _default;